%global         momorel 2

Name:           shotwell
Version: 0.20.2
Release: %{momorel}m%{?dist}
Summary:        A photo organizer for the GNOME desktop

Group:          Applications/Multimedia
# LGPLv2+ for the code
# CC-BY-SA for some of the icons
License:        LGPLv2+ and CC-BY-SA
URL:            http://www.yorba.org/shotwell/
Source0: https://download.gnome.org/sources/shotwell/0.20/shotwell-%{version}.tar.xz
NoSource: 0
# https://bugzilla.gnome.org/show_bug.cgi?id=717326
Source1:        shotwell-icons.tar.bz2
# https://bugzilla.gnome.org/show_bug.cgi?id=715578
Source2:        shotwell.1

BuildRequires:  vala-devel >= 0.20.1
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gexiv2)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gnome-doc-utils)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libexif) >= 0.4.90
BuildRequires:  pkgconfig(libgphoto2)
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(webkitgtk-3.0)

# Needed by the publishing plugins
BuildRequires:  pkgconfig(rest-0.7)

# used by shotwell-settings-migrator
Requires:       dconf

%description
Shotwell is an easy-to-use, fast photo organizer designed for the GNOME
desktop.  It allows you to import photos from your camera or disk, organize
them by date and subject matter, even ratings.  It also offers basic photo
editing, like crop, red-eye correction, color adjustments, and straighten.
Shotwell's non-destructive photo editor does not alter your master photos,
making it easy to experiment and correct errors.


%prep
%setup -q

%build
./configure \
  --prefix=%{_prefix} \
  --lib=%{_lib} \
  --disable-schemas-compile \
  --disable-icon-update
%make 


%install
export XDG_DISABLE_MAKEFILE_UPDATES=1
# otherwise gettext always returns English text regardless of LANGUAGE asked
export LANG=en_US.utf8
make install DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/shotwell.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/shotwell-viewer.desktop

# put hi-res icons in place
(
  cd %{buildroot}%{_datadir}/icons/hicolor
  rm -rf 16x16 24x24 scalable
  tar xf %{SOURCE1}
)

# install man page
mkdir -p %{buildroot}%{_mandir}/man1
cp -p %{SOURCE2} %{buildroot}%{_mandir}/man1

%find_lang %{name} --with-gnome


%post
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING MAINTAINERS NEWS THANKS AUTHORS
%{_bindir}/shotwell
%{_libdir}/shotwell
%{_libexecdir}/shotwell
%{_datadir}/shotwell
%{_datadir}/applications/shotwell.desktop
%{_datadir}/applications/shotwell-viewer.desktop
%{_datadir}/appdata/shotwell.appdata.xml
%{_datadir}/GConf/gsettings/shotwell.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/shotwell.png
%{_mandir}/man1/*

%changelog
* Sat Dec 20 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.20.2-2m)
- rebuild against libRaw

* Mon Nov  3 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.20.2-1m)
- update to 0.20.2

* Sun Oct 05 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.20.1-1m)
- update to 0.20.1

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.20.0-2m)
- update

* Wed Mar 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.18.0-1m)
- update to 0.18.0

* Mon Dec 30 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.15.1-1m)
- update to 0.15.1

* Sat Jul 20 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.14.1-1m)
- update to 0.14.1

* Sat Oct  6 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.13.1-1m)
- REMOVE.PLEASE is no longer needed

* Fri Sep 21 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.13.0-1m)
- update to 0.13.0

* Sun Sep  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12.3-3m)
- import libgphoto25.patch from Fedora, but still cannnot build...

* Thu Aug 23 2012 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.12.3-2m)
- rebuild against libgphoto2-2.5.0
- comment out BR: vala-compat-devel for the moment, we have no vala-compat-devel

* Wed Aug 15 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12.3-1m)
- update 0.12.3
- rebuild against exiv2-0.23
- rebuild against libgexiv2-0.4.1
- change BuildRequires from libgudev-devel to libgudev1-devel

* Sun Nov  6 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.11.6-1m)
- update 0.11.6

* Fri Oct 14 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.11.4-1m)
- update 0.11.4

* Fri Sep 23 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.11.2-2m)
- rebuild against LibRaw

* Wed Sep 21 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.2-1m)
- update to 0.11.2

* Mon Aug  1 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.10.1-1m)
- update 0.10.1

* Sun May 15 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.3-1m)
- update 0.9.3

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.1-2m)
- rebuild for new GCC 4.6

* Tue Apr  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.1-1m)
- update 0.9.1

* Fri Apr  1 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.1-2m)
- rebuild against libgexiv2-0.3.0 (exiv2-0.21.1)

* Wed Feb  9 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.1-1m)
- update 0.8.1

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.1-7m)
- rebuild for new GCC 4.5

* Sun Oct  3 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-6m)
- rebuild against webkitgtk-1.3.4

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.1-5m)
- full rebuild for mo7 release

* Sat Aug 28 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.1-4m)
- update ja.po

* Thu Jul 29 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.1-3m)
- rebuild against vala-0.9.3 or later

* Thu Jul  8 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1-2m)
- fix build on x86_64

* Wed Jul  7 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.1-1m)
- Initial commit Momonga Linux

